maven-processor-plugin - 2.2.4

##### Overview

- Summary
- Goals
- Usage

##### Summary

- Dependencies
- Source

## Plugin Documentation

Goals available for this plugin:

Goal | Description
--- | ---
processor:help | Display help information on maven-processor-plugin. Call `mvn processor:help -Ddetail=true -Dgoal=<goal-name>` to display parameter details.
processor:process | No description.
processor:process-test | No description.

### System Requirements

The following specifies the minimum requirements to run this Maven plugin:

Maven | 2.0
JDK | 1.5
Memory | No minimum requirement.
Disk Space | No minimum requirement.

### Usage

You should specify the version in your project's plugin configuration:

    <project>
      ...
      <build>
        <!-- To define the plugin version in your parent POM -->
        <pluginManagement>
          <plugins>
            <plugin>
              <groupId>org.bsc.maven</groupId>
              <artifactId>maven-processor-plugin</artifactId>
              <version>2.2.4</version>
            </plugin>
            ...
          </plugins>
        </pluginManagement>
        <!-- To use the plugin goals in your POM or parent POM -->
        <plugins>
          <plugin>
            <groupId>org.bsc.maven</groupId>
            <artifactId>maven-processor-plugin</artifactId>
            <version>2.2.4</version>
          </plugin>
          ...
        </plugins>
      </build>
      ...
    </project>

For more information, see "Guide to Configuring Plug-ins"